Package org.apache.lucene.search.spell

# Class HighFrequencyDictionary

java.lang.Object
org.apache.lucene.search.spell.HighFrequencyDictionary

All Implemented Interfaces:
  `Dictionary`

public class HighFrequencyDictionary extends Object implements Dictionary
HighFrequencyDictionary: terms taken from the given field of a Lucene index, which appear in a number of documents above a given threshold.

Threshold is a value in [0..1] representing the minimum number of documents (of the total) where a term should appear.

Based on LuceneDictionary.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HighFrequencyDictionary(IndexReader reader, String field, float thresh)`
  Creates a new Dictionary, pulling source terms from the specified `field` in the provided `reader`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final InputIterator`
  `getEntryIterator()`
  Returns an iterator over all the entries

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HighFrequencyDictionary

    public HighFrequencyDictionary(IndexReader reader, String field, float thresh)
    Creates a new Dictionary, pulling source terms from the specified `field` in the provided `reader`.

    Terms appearing in less than `thresh` percentage of documents will be excluded.

- ## Method Details

  - ### getEntryIterator

    public final InputIterator getEntryIterator() throws IOException
    Description copied from interface: `Dictionary`
    Returns an iterator over all the entries
    Specified by:
      `getEntryIterator` in interface `Dictionary`
    Returns:
      Iterator
    Throws:
      `IOException`